<html devsite><head>
    <title>耳机预期行为</title>
    <meta name="project_path" value="/_project.yaml"/>
    <meta name="book_path" value="/_book.yaml"/>
  </head>
  <body>
  <!--
      Copyright 2017 The Android Open Source Project

      Licensed under the Apache License, Version 2.0 (the "License");
      you may not use this file except in compliance with the License.
      You may obtain a copy of the License at

          http://www.apache.org/licenses/LICENSE-2.0

      Unless required by applicable law or agreed to in writing, software
      distributed under the License is distributed on an "AS IS" BASIS,
      WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
      See the License for the specific language governing permissions and
      limitations under the License.
  -->

<p>本文详细介绍了 <a href="plug-headset-spec.html">3.5 毫米插头</a>和 <a href="usb-headset-spec.html">USB</a> 耳机的功能要求。</p>
<p>在验证设备和音频耳机的行为时，请注意以下要求：</p>
<ul>
  <li>仅在没有其他可用音频配件（如蓝牙）时适用</li>
  <li>涵盖设备的默认行为，不适用于使用音频导向 API 来选择要使用的音频外设的应用</li>
</ul>

<h2 id="media">媒体</h2>

<p>如果用户在播放媒体时将耳机连接到设备，则只能通过耳机听到音频输出（声音）。</p>

<p>例如，当使用<a href="https://github.com/googlesamples/android-UniversalMusicPlayer">开放源代码</a><a href="https://android-developers.blogspot.com/2015/03/a-new-reference-app-for-multi-device.html">通用音乐播放器</a>播放媒体时，按播放/暂停按钮应暂停播放。在媒体暂停时按同一按钮应恢复播放。</p>

<p>如果耳机具有音量控制按钮：</p>

<ul>
  <li>每次按下调高音量按钮都应逐渐调高音量，直到达到最大音量。如果一直按住调高音量按钮，音量应逐渐增加到最大音量设置。
  </li><li>每次按下调低音量按钮都应逐渐调低音量，直到完全静音。如果一直按住调低音量按钮，音量应逐渐降低至静音。
  </li><li>在静音状态下按下调高音量按钮，应从静音开始一次增加一个等级的音量。
</li></ul>

<p><strong>针对应用的建议</strong>：断开耳机连接时，声音输出应停止，且播放应暂停。在重新连接时，播放不应再次开始，除非用户按下播放按钮。按下播放时，应再次限于通过耳机输出声音。</p>

<h3 id="one_button">一个按钮</h3>

<img src="images/media_one.png" alt="单按钮耳机处理媒体流的按钮功能。"/>

<p class="img-caption"><strong>图 1.</strong> 单按钮耳机处理媒体流的按钮功能。</p>

<h3 id="two_buttons">两个按钮</h3>

<img src="images/media_two.png" alt="双按钮耳机处理媒体流的按钮功能。"/>

<p class="img-caption"><strong>图 2.</strong> 双按钮耳机处理媒体流的按钮功能。</p>

<h3 id="three_buttons">三个按钮</h3>

<img src="images/media_three.png" alt="三按钮耳机处理媒体流的按钮功能。"/>

<p class="img-caption"><strong>图 3.</strong> 三按钮耳机处理媒体流的按钮功能。</p>

<h3 id="four_buttons">四个按钮</h3>

<img src="images/media_four.png" alt="四按钮耳机处理媒体流的按钮功能。"/>

<p class="img-caption"><strong>图 4.</strong> 四按钮耳机处理媒体流的按钮功能。</p>

<h2 id="telephony">电话</h2>

<p>如果用户在通话过程中将耳机连接到设备，则应在耳机上继续通话。通话不应被打断，且麦克风不应静音。音量按钮（如果存在）的行为应与媒体播放完全相同。</p>

<p class="note"><strong>注意</strong>：静音和挂断电话的操作可能会因 Android 设备而异。本文描述的是最常见的行为；但对于某些设备，短按耳机按钮会使通话静音，而长按会挂断电话。</p>

<h3 id="one_button">一个按钮</h3>

<img src="images/telephony_one.png" alt="单按钮耳机处理通话的按钮功能。"/>

<p class="img-caption"><strong>图 5.</strong> 单按钮耳机处理通话的按钮功能。</p>

<h3 id="two_buttons">两个按钮</h3>

<img src="images/telephony_two.png" alt="双按钮耳机处理通话的按钮功能。"/>

<p class="img-caption"><strong>图 6.</strong> 双按钮耳机处理通话的按钮功能。</p>

<h3 id="three_buttons">三个按钮</h3>

<img src="images/telephony_three.png" alt="三按钮耳机处理通话的按钮功能。"/>

<p class="img-caption"><strong>图 7.</strong> 三按钮耳机处理通话的按钮功能。</p>

<h3 id="four_buttons">四个按钮</h3>

<img src="images/telephony_four.png" alt="四按钮耳机处理通话的按钮功能。"/>
<p class="img-caption"><strong>图 8.</strong> 四按钮耳机处理通话的按钮功能。</p>

<h2 id="voice_command">语音指令</h2>

<p>语音指令按钮是一种新的内嵌控制标准，用于从任何已获批的穿戴式音频设备一致且方便地访问语音指令功能。通过按下此处定义的按钮，用户将听到双音信号<a href="http://en.wikipedia.org/wiki/Earcon">耳标</a>，表示设备正在聆听并准备好接收查询。</p>

<p>无论是内嵌到多功能按钮中还是单独采用单个按钮，都应可快速访问，符合人体工程学，并按照以下部分所述放置在显著位置。</p>

<h2 id="buttons_and_function_mapping">按钮和功能映射建议</h2>

<p>下图描述了 Android 语音指令按钮的可接受配置。</p>

<h3 id="options">选项</h3>

<img src="images/button_configuration.png" alt="按钮配置选项。"/>

<p class="img-caption"><strong>图 9.</strong> 按钮配置选项。</p>

<p>按钮应始终朝向前方且隔开，以便只通过触摸便可轻松找到它们。</p>

<h3 id="spacing">间距</h3>

<p>按钮直径必须大于 5 毫米，并且按钮之间的距离必须至少为 5 毫米。对于四按钮耳机，按钮 D 与其他按钮集群之间必须至少有 9 毫米的间隔。</p>

<img src="images/button_spacing.png" alt="按钮间距要求"/>

<p class="img-caption"><strong>图 10.</strong> 按钮间距要求。</p>

<h3 id="icon">图标</h3>

<p>在下图中，A 未标记或用圆点进行标记。B 用 + 或向上箭头进行标记。C 用 - 或向下箭头进行标记。D 用选定的按钮图标进行标记。</p>

<img src="images/button_icons.png" alt="按钮图标要求"/>
<p class="img-caption"><strong>图 11.</strong> 按钮图标要求。</p>

<h3 id="sizing">大小</h3>

<p>下图显示了按钮图标与其周围空间的比例。</p>

<img src="images/icon_sizing.png" alt="语音搜索按钮图标大小要求"/>

<p class="img-caption"><strong>图 12.</strong> 语音搜索按钮图标大小要求。</p>

<h3 id="microphone_port">麦克风端口</h3>

<p>在操作按钮时，麦克风绝不应被遮挡。将端口放在远离手指触摸界面区域的位置。</p>

<img src="images/microphone.png" alt="麦克风位置"/>

<p class="img-caption"><strong>图 13.</strong> 麦克风位置。</p>

</body></html>